<?xml version="1.0" encoding="ASCII"?>

<!-- oks-data version 2.0 -->


<!DOCTYPE oks-data [
  <!ELEMENT oks-data (info, (include)?, (comments)?, (obj)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "extended"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT obj (attr | rel)*>
  <!ATTLIST obj
      class CDATA #REQUIRED
      id CDATA #REQUIRED
  >
  <!ELEMENT attr (#PCDATA)*>
  <!ATTLIST attr
      name CDATA #REQUIRED
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class|-) "-"
      num CDATA "-1"
  >
  <!ELEMENT rel (#PCDATA)*>
  <!ATTLIST rel
      name CDATA #REQUIRED
      num CDATA "-1"
  >
]>

<oks-data>

<info name="" type="" num-of-items="3" oks-format="extended" oks-version="oks-06-07-02 built &quot;Jul 14 2014&quot;" created-by="vandelli" created-on="pc-tbed-pub-10.cern.ch" creation-time="20141001T064306" last-modified-by="vandelli" last-modified-on="pc-tbed-pub-10.cern.ch" last-modification-time="20141001T064306"/>

<include>
 <file path="daq/schema/df.schema.xml"/>
 <file path="daq/schema/monsvc_config.schema.xml"/>
 <file path="daq/schema/dcm.schema.xml"/>
 <file path="daq/schema/HLTMPPU.schema.xml"/>
 <file path="daq/schema/hltsv.schema.xml"/>
 <file path="daq/schema/MonInfoGatherer.schema.xml"/>
 <file path="daq/schema/pudummy.schema.xml"/>
 <file path="daq/schema/siom.schema.xml"/>
 <file path="daq/schema/SFOng.schema.xml"/>
 <file path="daq/schema/DFTriggerIn.schema.xml"/>
 <file path="daq/schema/ROSDescriptor.schema.xml"/>
 <file path="daq/schema/RobinNPModule.schema.xml"/>
 <file path="daq/schema/RobinNPDescriptorModule.schema.xml"/>
 <file path="daq/schema/NPDescriptor.schema.xml"/>
 <file path="daq/sw/repository.data.xml"/>
 <file path="daq/segments/ROS/ros-common-config.data.xml"/>
 <file path="daq/segments/ROS/ros-specific-config-FTK.data.xml"/>
 <file path="daq/sw/common-templates.data.xml"/>
 <file path="daq/segments/ROS/ROS-FTK-robin-channels.data.xml"/>
 <file path="daq/sw/ROSNPRepository.data.xml"/>
</include>

<comments>
 <comment creation-time="20141001T064306" created-by="vandelli" created-on="pc-tbed-pub-10.cern.ch" author="vandelli" text="C++ oksconfig plug-in user: &apos;vandelli&apos;, host: &apos;pc-tbed-pub-10.cern.ch&apos;, log message: &apos;python plug-in&apos;&#xA;-----&#xA;C++ oksconfig plug-in user: &apos;vandelli&apos;, host: &apos;pc-tbed-pub-10.cern.ch&apos;, log message: &apos;python plug-in&apos;"/>
</comments>


<obj class="ROS" id="ROS-FTK-00">
 <attr name="InterfaceName" type="string">"rc/commander"</attr>
 <attr name="IPCName" type="string">""</attr>
 <attr name="ActionTimeout" type="s32">10</attr>
 <attr name="ProbeInterval" type="s32">5</attr>
 <attr name="FullStatisticsInterval" type="s32">60</attr>
 <attr name="IfError" type="enum">"Error"</attr>
 <attr name="ControlsTTCPartitions" type="bool">0</attr>
 <attr name="Parameters" type="string">"-a -1"</attr>
 <attr name="RestartParameters" type="string">"-a -1"</attr>
 <attr name="Logging" type="bool">1</attr>
 <attr name="InputDevice" type="string">""</attr>
 <attr name="InitTimeout" type="u32">60</attr>
 <attr name="ExitTimeout" type="u32">5</attr>
 <attr name="StartIn" type="string">""</attr>
 <attr name="RestartableDuringRun" type="bool">1</attr>
 <attr name="IfExitsUnexpectedly" type="enum">"Error"</attr>
 <attr name="IfFailsToStart" type="enum">"Error"</attr>
 <attr name="Id" type="u16">0</attr>
 <attr name="DataRequestDestination" type="enum">"PC"</attr>
 <rel name="InitializationDependsFrom" num="0"></rel>
 <rel name="ShutdownDependsFrom" num="0"></rel>
 <rel name="Program">"Binary" "ReadoutApplication"</rel>
 <rel name="ExplicitTag">"" ""</rel>
 <rel name="Uses" num="1">
"SW_Repository" "ROSNP"
</rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="RunsOn">"Computer" "pc-tdq-ros-ftk-00.cern.ch"</rel>
 <rel name="Contains" num="1">
  "RobinNPDescriptorReadoutModule" "ROBIN-FTK-00-0"
 </rel>
 <rel name="MemoryConfiguration">"MemoryPool" "ROS-MemoryPool-Headers"</rel>
 <rel name="Detector">"Detector" "Null"</rel>
 <rel name="MonitoringMemoryConfiguration">"" ""</rel>
 <rel name="MonitoringSchedule" num="0"></rel>
 <rel name="Configuration">"ReadoutConfiguration" "ROS-Config-FTK"</rel>
 <rel name="Output">"" ""</rel>
 <rel name="Trigger" num="1">
  "NPTriggerIn" "NPTriggerIn"
 </rel>
 <rel name="MonitoringOutput">"" ""</rel>
 <rel name="DebugOutput">"" ""</rel>
 <rel name="PluginConfiguration">"" ""</rel>
</obj>

<obj class="ResourceSetAND" id="FTK-ROS">
 <rel name="Contains" num="1">
  "ROS" "ROS-FTK-00"
 </rel>
</obj>

<obj class="RobinNPDescriptorReadoutModule" id="ROBIN-FTK-00-0">
 <attr name="PhysAddress" type="u32">0</attr>
 <attr name="EmulateMem" type="u32">0</attr>
 <attr name="MemTimeout" type="u32">1024</attr>
 <rel name="Contains" num="4">
  "RobinDataChannel" "ROL-FTK-00-7F0000"
  "RobinDataChannel" "ROL-FTK-00-7F0001"
  "RobinDataChannel" "ROL-FTK-00-7F0002"
  "RobinDataChannel" "ROL-FTK-00-7F0003"
 </rel>
 <rel name="Configuration">"RobinConfiguration" "Robin-Config-FTK"</rel>
</obj>

</oks-data>
